Loading...
Searching...
No Matches
cascading::CascadeManager::LinkUnitStatusChangedEvent Struct Reference

Event: A link unit's communication status has changed. More...

Inheritance diagram for cascading::CascadeManager::LinkUnitStatusChangedEvent:

## Public Attributes

int | linkId
| Link ID.
LinkUnitType | type
| Link unit type.
string | host
| Host name, IP address or bus address.
LinkUnitStatus | oldStatus
| Previous communication status.
LinkUnitStatus | newStatus
| New communication status.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: A link unit's communication status has changed.

The documentation for this struct was generated from the following file:

- CascadeManager.idl